/*
 * Player.h
 *
 *  Created on: 16 dec 2011
 *      Author: Reii
 */

#ifndef PLAYER_H_
#define PLAYER_H_

#include "Sprite.h"

class Player :public Sprite{

public:
	static Player* getInstance(std::string filename, bool transparent, bool multi, int x, int y);
	static Player* getInstance(Image* img, bool multi, int x, int y);
	void tick(std::vector<Sprite*>& gameobjects);
	void draw();
	void keyUp(SDLKey key);
	void keyDown(SDLKey key);
	~Player();
protected:
	Player(std::string filename, bool transparent, bool multi, int x, int y);
	Player(Image* img, bool multi, int x, int y);
private:
	Player(const Player&);
	const Player& operator=(const Player&);
	int lives;
};


#endif /* PLAYER_H_ */
